Package com.enonic.xp.node

## Class NodePath.Builder

- java.lang.Object
- - com.enonic.xp.node.NodePath.Builder

- Enclosing class:
    NodePath

      public static final class NodePath.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |
    `Builder​(NodePath source)` |
    `Builder​(String path)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NodePath.Builder` | `absolute​(boolean value)` | Deprecated.
    `NodePath.Builder` | `addElement​(NodePath.Element value)` | Deprecated.
    `NodePath.Builder` | `addElement​(String value)` |
    `NodePath` | `build()` |
    `NodePath.Builder` | `elements​(String elements)` | Deprecated.
    `NodePath.Builder` | `removeFirstElement()` | Deprecated.
    `NodePath.Builder` | `removeLastElement()` | Deprecated.
    `NodePath.Builder` | `trailingDivider​(boolean value)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

    - #### Builder

          public Builder​(NodePath source)

    - #### Builder

          @Deprecated
          public Builder​(String path)

      Deprecated.

  - ### Method Detail

    - #### trailingDivider

          @Deprecated
          public NodePath.Builder trailingDivider​(boolean value)

      Deprecated.

    - #### absolute

          @Deprecated
          public NodePath.Builder absolute​(boolean value)

      Deprecated.

    - #### elements

          @Deprecated
          public NodePath.Builder elements​(String elements)

      Deprecated.

    - #### addElement

          public NodePath.Builder addElement​(String value)

    - #### removeLastElement

          @Deprecated
          public NodePath.Builder removeLastElement()

      Deprecated.

    - #### removeFirstElement

          @Deprecated
          public NodePath.Builder removeFirstElement()

      Deprecated.

    - #### addElement

          @Deprecated
          public NodePath.Builder addElement​(NodePath.Element value)

      Deprecated.

    - #### build

          public NodePath build()